curl --request PUT \
--url https://{controlPlaneURL}/api/svc/v1/mcp-servers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"type": "mcp-server/remote",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"tls_settings": {
"reject_unauthorized": true,
"ca_cert": "<string>"
},
"tool_settings": [
{
"name": "<string>",
"description": "<string>",
"disabled": true
}
],
"auth_data": {
"type": "header",
"headers": {},
"auth_level": "global"
},
"ownedBy": {
"account": "<string>"
},
"tags": {}
},
"dryRun": false,
"metadata": {}
}
'{
"data": {
"fqn": "<string>",
"manifest": {},
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>"
},
"accountId": "<string>",
"id": "<string>",
"tools": [
{}
],
"specEndpoints": [
{}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"proxyUrl": "<string>",
"authStatus": {
"status": "authenticated",
"method": "oauth",
"message": "<string>"
}
}
}Creates a new MCP server or updates an existing one.
curl --request PUT \
--url https://{controlPlaneURL}/api/svc/v1/mcp-servers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"type": "mcp-server/remote",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"tls_settings": {
"reject_unauthorized": true,
"ca_cert": "<string>"
},
"tool_settings": [
{
"name": "<string>",
"description": "<string>",
"disabled": true
}
],
"auth_data": {
"type": "header",
"headers": {},
"auth_level": "global"
},
"ownedBy": {
"account": "<string>"
},
"tags": {}
},
"dryRun": false,
"metadata": {}
}
'{
"data": {
"fqn": "<string>",
"manifest": {},
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>"
},
"accountId": "<string>",
"id": "<string>",
"tools": [
{}
],
"specEndpoints": [
{}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"proxyUrl": "<string>",
"authStatus": {
"status": "authenticated",
"method": "oauth",
"message": "<string>"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
MCP Server Manifest
Show child attributes
Validate and resolve the manifest without persisting or syncing to the gateway store
Optional metadata for auto-detected values (e.g., detected_transport)
MCP server created or updated successfully
MCP Server
Show child attributes
Was this page helpful?